package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bdd;
import com.brilliance.isc.vo.domlc.BddWithPtsCbbResponseVo;
import com.brilliance.isc.vo.domlc.DitselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BddMapper {

    int insert(Bdd record);

    int insertSelective(Bdd record);

    int updateByPrimaryKeySelective(Bdd record);

    int updateByPrimaryKey(Bdd record);

    int deleteByPrimaryKey(Bdd record);

    int deleteByIds(Collection<Object> collection);

    Bdd selectByPrimaryKey(Bdd record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bdd> dyncRead(Map<String,Object> dyncMap);

    List<String> getSptOwnrefList(@Param("ownref") String ownref, @Param("inr") String inr);

    int getActUtlBDCount(@Param("pntinr") String pntinr);

    int getActAdvisedBDCount(@Param("pntinr") String pntinr);

    List<BddWithPtsCbbResponseVo> queryBdd(DitselQueryVo ditselQueryVo);

    List<String> selectInrsByPNTINR(@Param("pntInr") String pntInr);

    int selectCountByClsdatIsNull(@Param("pntInr") String pntInr);

    Bdd selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Bdd selectByWhere(Bdd record);

    Bdd selectByOwnref(@Param("ownref") String ownref);

    List<BddWithPtsCbbResponseVo> queryBddInfo(DitselQueryVo ditselQueryVo);

    int updateDocsta(Bdd record);

}
